Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Message Queue, v4.5 API Specification
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.messaging.jms.management.server
Class ProducerOperations

    java.lang.Object
      com.sun.messaging.jms.management.server.ProducerOperations

    public class ProducerOperations

extends java.lang.Object

Class containing information on producer operations.

Field Summary
`static java.lang.String` | `GET_NUM_WILDCARD_PRODUCERS` Get number of producers that use a specific wildcard
`static java.lang.String` | `GET_PRODUCER_IDS` Get list of producer IDs.
`static java.lang.String` | `GET_PRODUCER_INFO` Get info on all producers
`static java.lang.String` | `GET_PRODUCER_INFO_BY_ID` Get info on specified producer (via ID)
`static java.lang.String` | `GET_PRODUCER_WILDCARDS` Get producer wildcards

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GET_PRODUCER_IDS

    public static final java.lang.String GET_PRODUCER_IDS

  Get list of producer IDs.

  See Also:
    Constant Field Values

### GET_PRODUCER_INFO

    public static final java.lang.String GET_PRODUCER_INFO

  Get info on all producers

  See Also:
    Constant Field Values

### GET_PRODUCER_INFO_BY_ID

    public static final java.lang.String GET_PRODUCER_INFO_BY_ID

  Get info on specified producer (via ID)

  See Also:
    Constant Field Values

### GET_PRODUCER_WILDCARDS

    public static final java.lang.String GET_PRODUCER_WILDCARDS

  Get producer wildcards

  See Also:
    Constant Field Values

### GET_NUM_WILDCARD_PRODUCERS

    public static final java.lang.String GET_NUM_WILDCARD_PRODUCERS

  Get number of producers that use a specific wildcard

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Message Queue, v4.5 API Specification
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.